SystemOrganization addCategory: #TpTraitsAlphaTest!

TestCase subclass: #ATestAlumno
	instanceVariableNames: 'alumnoPepe alu1 tadp tadp1 tadp2 docente1 so gdd docente2 pdep k alu2 alu3 so1 gdd1 pdep1 so2 gdd2 pdep2 alu4 alu5 docente3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:44'!
setUp
"una carrrera"
k := ACarrera new.
"tres dcentes"
docente1 := ADocente new.
docente2 := ADocente new.
docente3 := ADocente new.
"dos materias"
tadp := AMateria new.
so := AMateria new.

"cuatro cursos, dos de cada materia"
tadp1 :=tadp AbrirCurso .
tadp1 docentes add: docente1 .

tadp2 := tadp AbrirCurso .
tadp2 docentes add: docente2 .

so1 :=so AbrirCurso .
so1 docentes add: docente1 .

so2 := so AbrirCurso .
so2 docentes add: docente1 .
so2 docentes add: docente3.


alu1 := AAlumno new carrera: k.
(alu1 anotarseEn: tadp1)  nota: 6.
(alu1 anotarseEn: so1 ) nota: 2.
(alu1 anotarseEn: tadp2)  nota: 8.
(alu1 anotarseEn: so2 ) setAbandonada .


alu2 := AAlumno new carrera: k.
(alu2 anotarseEn: tadp1)  nota: 2.
(alu2 anotarseEn: so1 ) nota: 2.
(alu2 anotarseEn: tadp2)  nota: 8.
(alu2 anotarseEn: so2 ) setAbandonada .

alu3 := AAlumno new carrera: k.
(alu3 anotarseEn: tadp1)  nota: 6.
(alu3 anotarseEn: so1 ) nota: 2.
(alu3 anotarseEn: tadp2)  nota: 8.
(alu3 anotarseEn: so2 ) setAbandonada .


alu3 := AAlumno new carrera: k.
(alu3 anotarseEn: tadp1)  nota: 10.
(alu3 anotarseEn: so1 ) nota: 8.
(alu3 anotarseEn: tadp2)  nota: 10.
(alu3 anotarseEn: so2 ) nota: 8.


alu4 := AAlumno new carrera: k.
(alu4 anotarseEn: tadp1)  setAbandonada .
(alu4 anotarseEn: so1 ) nota: 4.
(alu4 anotarseEn: tadp2)  nota: 10.
(alu4 anotarseEn: so2 ) nota: 8.


alu5 := AAlumno new carrera: k.
(alu5 anotarseEn: tadp1)  setAbandonada .
(alu5 anotarseEn: so1 ) setAbandonada .
(alu5 anotarseEn: tadp2)  setAbandonada .
(alu5 anotarseEn: so2 ) setAbandonada .




! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 18:57'!
testCantidadDeCursadasAbandonadas
	self assert: alu1 cantidadDeAbandonadas   equals: 1! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:42'!
testCantidadDeCursadasAprobadas 
	self assert: alu1 cantidadDeAprobadas  equals: 2! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:29'!
testCorteDeTiempo
"self assert: (alumnoPepe corteDeAo: 2012 promedioSinAplazos) equals: 6"! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/25/2013 19:19'!
testNotaMasAltaALaQueLlegoNVeces! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:43'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: alu1 porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:45'!
testPromedioConAplazos
	self assert: alu1 promedioConAplazos  equals: 5.33! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:43'!
testPromedioSinAplazos
	self assert: alu1 promedioSinAplazos  equals: 7! !

!ATestAlumno methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:43'!
testTablaDeNotas 
	self assert: alu1 tablaDeNotas  equals:  #(0 1 0 0 0 1 0 1 0 0)
! !

TestCase subclass: #ATestCarrera
	instanceVariableNames: 'k alu1 tadp tadp1 tadp2 alu2 alu3 tadp3 tadp4 alu4 docente1 so gdd docente2 docente3 so1 so2 alu5 alu6'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestCarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:35'!
setUp 
"una carrrera"
k := ACarrera new.
"tres dcentes"
docente1 := ADocente new.
docente2 := ADocente new.
docente3 := ADocente new.
"dos materias"
tadp := AMateria new.
so := AMateria new.

"cuatro cursos, dos de cada materia"
tadp1 :=tadp AbrirCurso .
tadp1 aniadirDocente: docente1 .


tadp2 := tadp AbrirCurso .
tadp2 aniadirDocente: docente2 .

so1 :=so AbrirCurso .
so1 aniadirDocente: docente1 .

so2 := so AbrirCurso .
so2 aniadirDocente: docente1 .
so2 aniadirDocente: docente3.


alu1 := AAlumno new carrera: k.
(alu1 anotarseEn: tadp1)  nota: 6.
(alu1 anotarseEn: so1 ) nota: 2.
(alu1 anotarseEn: tadp2)  nota: 8.
(alu1 anotarseEn: so2 ) setAbandonada .


alu2 := AAlumno new carrera: k.
(alu2 anotarseEn: tadp1)  nota: 2.
(alu2 anotarseEn: so1 ) nota: 2.
(alu2 anotarseEn: tadp2)  nota: 8.
(alu2 anotarseEn: so2 ) setAbandonada .

alu3 := AAlumno new carrera: k.
(alu3 anotarseEn: tadp1)  nota: 6.
(alu3 anotarseEn: so1 ) nota: 2.
(alu3 anotarseEn: tadp2)  nota: 8.
(alu3 anotarseEn: so2 ) setAbandonada .



alu4 := AAlumno new carrera: k.
(alu4 anotarseEn: tadp1)  setAbandonada .
(alu4 anotarseEn: so1 ) nota: 4.
(alu4 anotarseEn: tadp2)  nota: 10.
(alu4 anotarseEn: so2 ) nota: 8.


alu5 := AAlumno new carrera: k.
(alu5 anotarseEn: tadp1)  setAbandonada .
(alu5 anotarseEn: so1 ) setAbandonada .
(alu5 anotarseEn: tadp2)  setAbandonada .
(alu5 anotarseEn: so2 ) setAbandonada .


alu6 := AAlumno new carrera: k.
(alu6 anotarseEn: tadp1)  nota: 10.
(alu6 anotarseEn: so1 ) nota: 8.
(alu6 anotarseEn: tadp2)  nota: 10.
(alu6 anotarseEn: so2 ) nota: 8.

! !

!ATestCarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:38'!
testCantidadDeCursadasAbandonadas
	self assert: k cantidadDeAbandonadas   equals: 8! !

!ATestCarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:38'!
testCantidadDeCursadasAprobadas 
	self assert: k cantidadDeAprobadas  equals: 12! !

!ATestCarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:40'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: k porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestCarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:44'!
testPromedioConAplazos
	self assert: k promedioConAplazos  equals:  6.38"6.375"! !

!ATestCarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:44'!
testPromedioSinAplazos
	self assert: k promedioSinAplazos  equals: 7.83"7.833333333"! !

!ATestCarrera methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:43'!
testTablaDeNotas 
	self assert: k tablaDeNotas  equals:  #(0 4 0 1 0 2 0 6 0 3)
! !

TestCase subclass: #ATestCurso
	instanceVariableNames: 'alu1 tadp tadp1 tadp2 alu2 alu3 tadp3 tadp4 alu4 docente1 k docente2 docente3 so so1 so2 alu5 alu6'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:48'!
setUp
"una carrrera"
k := ACarrera new.
"tres dcentes"
docente1 := ADocente new.
docente2 := ADocente new.
docente3 := ADocente new.
"dos materias"
tadp := AMateria new.
so := AMateria new.

"cuatro cursos, dos de cada materia"
tadp1 :=tadp AbrirCurso .
tadp1 docentes add: docente1 .

tadp2 := tadp AbrirCurso .
tadp2 docentes add: docente2 .

so1 :=so AbrirCurso .
so1 docentes add: docente1 .

so2 := so AbrirCurso .
so2 docentes add: docente1 .
so2 docentes add: docente3.


alu1 := AAlumno new carrera: k.
(alu1 anotarseEn: tadp1)  nota: 6.
(alu1 anotarseEn: so1 ) nota: 2.
(alu1 anotarseEn: tadp2)  nota: 8.
(alu1 anotarseEn: so2 ) setAbandonada .


alu2 := AAlumno new carrera: k.
(alu2 anotarseEn: tadp1)  nota: 2.
(alu2 anotarseEn: so1 ) nota: 2.
(alu2 anotarseEn: tadp2)  nota: 8.
(alu2 anotarseEn: so2 ) setAbandonada .

alu3 := AAlumno new carrera: k.
(alu3 anotarseEn: tadp1)  nota: 6.
(alu3 anotarseEn: so1 ) nota: 2.
(alu3 anotarseEn: tadp2)  nota: 8.
(alu3 anotarseEn: so2 ) setAbandonada .



alu4 := AAlumno new carrera: k.
(alu4 anotarseEn: tadp1)  setAbandonada .
(alu4 anotarseEn: so1 ) nota: 4.
(alu4 anotarseEn: tadp2)  nota: 10.
(alu4 anotarseEn: so2 ) nota: 8.


alu5 := AAlumno new carrera: k.
(alu5 anotarseEn: tadp1)  setAbandonada .
(alu5 anotarseEn: so1 ) setAbandonada .
(alu5 anotarseEn: tadp2)  setAbandonada .
(alu5 anotarseEn: so2 ) setAbandonada .


alu6 := AAlumno new carrera: k.
(alu6 anotarseEn: tadp1)  nota: 10.
(alu6 anotarseEn: so1 ) nota: 8.
(alu6 anotarseEn: tadp2)  nota: 10.
(alu6 anotarseEn: so2 ) nota: 8.

! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:47'!
testCantidadDeCursadasAbandonadas
	self assert: tadp1 cantidadDeAbandonadas   equals: 2! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:47'!
testCantidadDeCursadasAprobadas 
	self assert: tadp1 cantidadDeAprobadas  equals: 3! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:47'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: tadp1 porcentajeDeAprobadosSobreIniciados  equals: 50! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:54'!
testPromedioConAplazos
	self assert: tadp1 promedioConAplazos  equals: 6! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:53'!
testPromedioSinAplazos
	self assert: tadp1 promedioSinAplazos   equals: 7.33! !

!ATestCurso methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:53'!
testTablaDeNotas 
	self assert: tadp1 tablaDeNotas  equals:  #(0 1 0 0 0 2 0 0 0 1)
! !

TestCase subclass: #ATestDocente
	instanceVariableNames: 'docente1 alu1 tadp tadp1 tadp2 alu2 alu3 tadp3 tadp4 alu4 k docente2 docente3 so so1 so2 alu5 alu6'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:14'!
setUp 
"una carrrera"
k := ACarrera new.
"tres dcentes"
docente1 := ADocente new.
docente2 := ADocente new.
docente3 := ADocente new.
"dos materias"
tadp := AMateria new.
so := AMateria new.

"cuatro cursos, dos de cada materia"
tadp1 :=tadp AbrirCurso .
tadp1 aniadirDocente: docente1 .


tadp2 := tadp AbrirCurso .
tadp2 aniadirDocente: docente2 .

so1 :=so AbrirCurso .
so1 aniadirDocente: docente1 .

so2 := so AbrirCurso .
so2 aniadirDocente: docente1 .
so2 aniadirDocente: docente3.


alu1 := AAlumno new carrera: k.
(alu1 anotarseEn: tadp1)  nota: 6.
(alu1 anotarseEn: so1 ) nota: 2.
(alu1 anotarseEn: tadp2)  nota: 8.
(alu1 anotarseEn: so2 ) setAbandonada .


alu2 := AAlumno new carrera: k.
(alu2 anotarseEn: tadp1)  nota: 2.
(alu2 anotarseEn: so1 ) nota: 2.
(alu2 anotarseEn: tadp2)  nota: 8.
(alu2 anotarseEn: so2 ) setAbandonada .

alu3 := AAlumno new carrera: k.
(alu3 anotarseEn: tadp1)  nota: 6.
(alu3 anotarseEn: so1 ) nota: 2.
(alu3 anotarseEn: tadp2)  nota: 8.
(alu3 anotarseEn: so2 ) setAbandonada .



alu4 := AAlumno new carrera: k.
(alu4 anotarseEn: tadp1)  setAbandonada .
(alu4 anotarseEn: so1 ) nota: 4.
(alu4 anotarseEn: tadp2)  nota: 10.
(alu4 anotarseEn: so2 ) nota: 8.


alu5 := AAlumno new carrera: k.
(alu5 anotarseEn: tadp1)  setAbandonada .
(alu5 anotarseEn: so1 ) setAbandonada .
(alu5 anotarseEn: tadp2)  setAbandonada .
(alu5 anotarseEn: so2 ) setAbandonada .


alu6 := AAlumno new carrera: k.
(alu6 anotarseEn: tadp1)  nota: 10.
(alu6 anotarseEn: so1 ) nota: 8.
(alu6 anotarseEn: tadp2)  nota: 10.
(alu6 anotarseEn: so2 ) nota: 8.

! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:57'!
testCantidadDeCursadasAbandonadas
	self assert: docente1  cantidadDeAbandonadas   equals: 7! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 00:58'!
testCantidadDeCursadasAprobadas 
	self assert: docente1  cantidadDeAprobadas  equals: 7! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:17'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: docente1  porcentajeDeAprobadosSobreIniciados  equals: 38.89! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:21'!
testPromedioConAplazos
	self assert: docente1  promedioConAplazos  equals: 5.2700000000000005 "5.272727273"! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:23'!
testPromedioSinAplazos
	self assert: docente1  promedioSinAplazos   equals:7.140000000000001 " 7.142857143"! !

!ATestDocente methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:28'!
testTablaDeNotas 
	self assert: docente1 tablaDeNotas  equals:  #(0 4 0 1 0 2 0 3 0 1)
! !

TestCase subclass: #ATestMateria
	instanceVariableNames: 'alu1 tadp tadp1 tadp2 alu2 alu3 tadp3 tadp4 alu4 docente1 k docente2 docente3 so so1 so2 alu5 alu6'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraitsAlphaTest'!

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:26'!
setUp 
"una carrrera"
k := ACarrera new.
"tres dcentes"
docente1 := ADocente new.
docente2 := ADocente new.
docente3 := ADocente new.
"dos materias"
tadp := AMateria new.
so := AMateria new.

"cuatro cursos, dos de cada materia"
tadp1 :=tadp AbrirCurso .
tadp1 aniadirDocente: docente1 .


tadp2 := tadp AbrirCurso .
tadp2 aniadirDocente: docente2 .

so1 :=so AbrirCurso .
so1 aniadirDocente: docente1 .

so2 := so AbrirCurso .
so2 aniadirDocente: docente1 .
so2 aniadirDocente: docente3.


alu1 := AAlumno new carrera: k.
(alu1 anotarseEn: tadp1)  nota: 6.
(alu1 anotarseEn: so1 ) nota: 2.
(alu1 anotarseEn: tadp2)  nota: 8.
(alu1 anotarseEn: so2 ) setAbandonada .


alu2 := AAlumno new carrera: k.
(alu2 anotarseEn: tadp1)  nota: 2.
(alu2 anotarseEn: so1 ) nota: 2.
(alu2 anotarseEn: tadp2)  nota: 8.
(alu2 anotarseEn: so2 ) setAbandonada .

alu3 := AAlumno new carrera: k.
(alu3 anotarseEn: tadp1)  nota: 6.
(alu3 anotarseEn: so1 ) nota: 2.
(alu3 anotarseEn: tadp2)  nota: 8.
(alu3 anotarseEn: so2 ) setAbandonada .



alu4 := AAlumno new carrera: k.
(alu4 anotarseEn: tadp1)  setAbandonada .
(alu4 anotarseEn: so1 ) nota: 4.
(alu4 anotarseEn: tadp2)  nota: 10.
(alu4 anotarseEn: so2 ) nota: 8.


alu5 := AAlumno new carrera: k.
(alu5 anotarseEn: tadp1)  setAbandonada .
(alu5 anotarseEn: so1 ) setAbandonada .
(alu5 anotarseEn: tadp2)  setAbandonada .
(alu5 anotarseEn: so2 ) setAbandonada .


alu6 := AAlumno new carrera: k.
(alu6 anotarseEn: tadp1)  nota: 10.
(alu6 anotarseEn: so1 ) nota: 8.
(alu6 anotarseEn: tadp2)  nota: 10.
(alu6 anotarseEn: so2 ) nota: 8.

! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:30'!
testCantidadDeCursadasAbandonadas
	self assert: tadp cantidadDeAbandonadas   equals: 3! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:30'!
testCantidadDeCursadasAprobadas 
	self assert: tadp cantidadDeAprobadas  equals: 8! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:31'!
testPorcentajeDeCursosAprobadosSobreIniciados 
	self assert: tadp  porcentajeDeAprobadosSobreIniciados  equals: 66.67! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:33'!
testPromedioConAplazos
	self assert: tadp  promedioConAplazos  equals:  7.5600000000000005"7,555555556"! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:34'!
testPromedioSinAplazos
	self assert: tadp   promedioSinAplazos   equals: 8.25! !

!ATestMateria methodsFor: 'as yet unclassified' stamp: 'PabloM 9/26/2013 01:34'!
testTablaDeNotas 
	self assert: tadp tablaDeNotas  equals:  #(0 1 0 0 0 2 0 3 0 3)
! !
